Bug 961786 - Review Request: git-ftp - Git powered FTP client written as shell script
Review Request: git-ftp - Git powered FTP client written as shell script
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Yohan Graterol
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-05-10 07:41 EDT by Eduardo Echeverria
Modified: 2013-06-10 13:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: git-ftp-0.84-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-06-01 23:02:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
yohangraterol92: fedora‑review+
dennis: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Eduardo Echeverria 2013-05-10 07:41:03 EDT
Spec URL: http://echevemaster.fedorapeople.org/git-ftp/git-ftp.spec
SRPM URL: http://echevemaster.fedorapeople.org/git-ftp/git-ftp-0.84-1.fc18.src.rpm

A shell script for pushing git tracked changed files to a
remote host by FTP

Tested on koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5360711
Comment 1 Yohan Graterol 2013-05-15 01:09:04 EDT
Hello Eduardo,

I'll do the formal review.

Package Review
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed
===== MUST items =====
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[-]: Package uses nothing in %doc for runtime.
[-]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses.
[x]: Package consistently uses macro is (instead of hard-coded directory
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 51200 bytes in 4 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
===== SHOULD items =====
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.
===== EXTRA items =====
[x]: Large data in /usr/share should live in a noarch subpackage if package is
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
Checking: git-ftp-0.84-1.fc20.noarch.rpm
git-ftp.noarch: W: no-manual-page-for-binary git-ftp
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Rpmlint (installed packages)
# rpmlint git-ftp
git-ftp.noarch: W: no-manual-page-for-binary git-ftp
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'
git-ftp (rpmlib, GLIBC filtered):


Package Approved

Comment 2 Eduardo Echeverria 2013-05-15 01:42:51 EDT
Thanks Yohan

New Package SCM Request
Package Name: git-ftp
Short Description: Git powered FTP client written as shell script
Owners: echevemaster
Branches: f17 f18 f19 el6
Comment 3 Dennis Gilmore 2013-05-15 07:28:12 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-05-21 04:22:16 EDT
git-ftp-0.84-1.fc19 has been submitted as an update for Fedora 19.
Comment 5 Fedora Update System 2013-05-21 04:23:38 EDT
git-ftp-0.84-1.fc18 has been submitted as an update for Fedora 18.
Comment 6 Fedora Update System 2013-05-21 04:24:42 EDT
git-ftp-0.84-1.fc17 has been submitted as an update for Fedora 17.
Comment 7 Fedora Update System 2013-05-21 04:25:37 EDT
git-ftp-0.84-1.el6 has been submitted as an update for Fedora EPEL 6.
Comment 8 Fedora Update System 2013-05-21 13:20:02 EDT
git-ftp-0.84-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 9 Fedora Update System 2013-06-01 23:02:51 EDT
git-ftp-0.84-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 10 Fedora Update System 2013-06-02 23:06:56 EDT
git-ftp-0.84-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Fedora Update System 2013-06-02 23:09:10 EDT
git-ftp-0.84-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Fedora Update System 2013-06-10 13:06:29 EDT
git-ftp-0.84-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.